using System;
using System.Threading;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Support.UI;

namespace CalculatorSeleniumTest
{
    [TestClass]
    public class UnitTest1
    {
        const string URL = "http://localhost:3000/"; //"https://hehocalculator.azurewebsites.net/"
        IWebDriver driver = new ChromeDriver();

        [TestInitialize]
        public void TestSetUp()
        {
            driver.Navigate().GoToUrl(URL);
        }

        [TestMethod]
        public void TestMethod1()
        {
            Thread.Sleep(3000);
            IWebElement input1Element = driver.FindElement(By.Id("number1"));
            IWebElement input2Element = driver.FindElement(By.Id("number2"));

            input1Element.Clear();
            Thread.Sleep(1000);
            input1Element.SendKeys("4");
            Thread.Sleep(3000);
            input2Element.Clear();
            Thread.Sleep(1000);
            input2Element.SendKeys("2");
            Thread.Sleep(3000);

            IWebElement buttonElement = driver.FindElement(By.Id("calcButton"));
            buttonElement.Click();
            Thread.Sleep(3000);

            IWebElement resultElement = driver.FindElement(By.Id("result"));
            double result = Double.Parse(resultElement.Text);
            Assert.AreEqual(6, result);

            IWebElement selectElement = driver.FindElement(By.Id("operation"));
            var selectObject = new SelectElement(selectElement);
            selectObject.SelectByValue("sub");
            Thread.Sleep(3000);

            buttonElement.Click();
            Thread.Sleep(3000);
            result = Double.Parse(resultElement.Text);
            Assert.AreEqual(2, result);


            selectObject.SelectByValue("mul");
            Thread.Sleep(3000);

            buttonElement.Click();
            Thread.Sleep(3000);
            result = Double.Parse(resultElement.Text);
            Assert.AreEqual(8, result);

            selectObject.SelectByValue("div");
            Thread.Sleep(3000);

            buttonElement.Click();
            Thread.Sleep(3000);
            result = Double.Parse(resultElement.Text);
            Assert.AreEqual(2, result);

        }

        [TestCleanup]
        public void TestTearDown()
        {
            driver.Quit();
        }
    }
}
